#!/usr/bin/env bash

DEV_COMPOSE_FILE="docker-compose-dev-backend.yml"

[ "$( docker container inspect -f '{{.State.Status}}' qnote-psql )" = "running" ] || docker compose up qnote-psql -d

# Shutdown, rebuild, & restart
docker compose stop qnote-server && docker compose rm -f qnote-server
docker compose -f $DEV_COMPOSE_FILE build
docker compose -f $DEV_COMPOSE_FILE up qnote-server
